* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#hero {
    display: block;
    align-items: center;
    justify-content: center;
    align-items: center;
}

.main_menu {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1000;
}

.main_menu ul {
    display: flex;
    list-style-type: none;
    justify-content: center;
    align-items: center;
    width: 100%;
    background: black;

}

.main_menu ul li {
    padding: 10px;
    width: 6vw;
    text-align: center;
}

.main_menu ul li:hover{
    background: blue;
}

.main_menu ul li  a {
    text-decoration: none;
    font-family: 'Arial';
    color: #fff;

}

#menu-toggle {
    display: none;
}

.hamburger {
    width: 30px;
    cursor: pointer;
    display: none;
}

.hamburger span {
    display: block;
    height: 4px;
    background: #333;
    margin: 6px 0;
    transition: 0.4s;
}

.menu-mobile {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
}

.menu-mobile ul {
    display: flex;
    flex-direction: column;
    align-items: center;
}


#menu-toggle:checked ~.menu-mobile{
      max-height: 300px;

}
#menu-toggle:checked + .hamburger span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

#menu-toggle:checked + .hamburger span:nth-child(2) {
    opacity: 0;
}

#menu-toggle:checked + .hamburger span:nth-child(3) {
    transform: rotate(-45deg) translate(8px, -8px);
}

.buttons {
    text-align: center;
    display: flex;
    gap: 3vw;
    flex-direction: row;
    justify-content: center;
    height: 100vh;
    background: url(https://images.pexels.com/photos/1917068/pexels-photo-1917068.jpeg);
    position: relative;
}


.btn {
    display: flex;
    box-sizing: border-box;
    justify-content: center;
    width: 10vw;
    height: 7vh;
    top: 80%;
    position: relative;
    cursor: pointer;
    background: #fff;
    border: 0;
    transition: background 0.3s ease;
    overflow: hidden;
}

.btn:hover {
    background: #000;
    color: #fff;
}

.btn1 {
        margin-left: 20vw;
        margin-right: 5vw;
}

.btn2 {
        margin-right: 20vw;
        margin-left: 5vw;
}

#serv {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
}

#serv section {
    width: 50%;
}

#serv section article {
    margin: 5px;
    padding: 5px;
}

#serv section article h1,p {
    margin: 2.5px;
}

#serv section article p {
    text-align: justify;
    line-height: 1.5;
    font-size: 16px;
}

#serv section article p::first-letter {
    text-transform: uppercase;
    font-size: 25px;
    font-weight: bold;
}

#serv section article .gallery {
    width: 100%;
    height: auto;
    display: flex;
}

#serv section article .gallery .image {
    width: 33.33%;
    height: 20vh;
    background: #ccc;
    margin: 10px;
}

#serv section article .gallery .image4 {
    width: 50%;
}

#serv section article .gallery .image5 {
    width: 50%;
}

#dif {
    width: 100%;
    height: 105vh;
    background: #000;
    color: #fff;
    display: flex;
    justify-content: center;
}

#dif section {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    margin-left: 5px;
    padding: 5px;

}


#dif section article {
    display: flex;
    justify-content: space-around;
    margin-bottom: 5vh;
    text-align: left;
    position: relative;
  

}

#dif section  h1 {
    padding: 5px;
    margin: 2.5px;
}

#dif section article .text {
    display: flex;
    flex-direction: column;
    width: 60%;
    text-align: justify;
    padding: 5px;
}

#dif section article .text p {
    line-height: 1.2;
}

#dif section article .text p::first-letter {
    font-size: 25px;
    text-transform: uppercase;
    font-weight: bold;
}

#dif section article .image {
    width: 30%;
    height: 20vh;
    background: #ccc;
    padding: 5px;
}

#dif section article:last-child {
}

#proj {
    border: 1px solid green;
    width: 100%;
    height: 70vh;
    background: #fff;
    color: #000;
    display: flex;
    justify-content: center; 
}


#proj section {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 5px;
    margin-left: 5px;
    padding: 5px;

}

#proj section article {
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    margin-bottom: 5vh;
    text-align: left;
    position: relative;
}

#proj section article .gallery {
    width: 100%;
    height: 50vh;
    background: #ccc;
    display: flex;
    justify-content: center;
    position: inherit;
}

#proj section article .gallery h1 {
    font-weight: 800;
    color: #222222;
    position: absolute;
    top: 50%;
    text-transform: uppercase;
}

#proj section article .miniature {
    display: flex;
}

#proj section article .miniature .mini {
    width: 16.66%;
    height: 8vh;
    background: #ccc;
    margin: 5px;
    display: flex;
    justify-content: center;
    position: relative;
}

#proj section article .miniature .mini h3 {
    position: absolute;
    top: 50%;
    text-transform: uppercase;
    color: #222222;
}

#proj section article .miniature .mini:last-child {
    margin: 10px 0 0 0 0;
}

#pros {
    width: 100%;
    height: 100vh;
    background: #000;
    color: #fff;
    display: flex;
    justify-content: center;
}

#pros section {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    margin-left: 5px;
    padding: 5px;

}

#pros section article {
    display: flex;
    padding: 10px;
}

#pros section article .pros_list {
    width: 50%;
    padding: 5px;
}

#pros section article .pros_list ol {
    list-style-position: inside;
    list-style-type: disc;
    text-align: justify;
    font-size: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#pros section article .image {
    width: 50%;
    height: 30vh;
    background: #ccc;
}

#depo {
    width: 100%;
    height: 100vh;
    background: #fff;
    color: #000;
    display: flex;
    justify-content: center;
}

#depo section {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    margin-left: 5px;
    padding: 5px;

}

#depo section article .depoiment {
    width: 100%;
    display: flex;
    padding: 10px;
}

#depo section article .depoiment p {
    width: 80%;
    align-items: center;
    top: 50%;
}

#depo section article .depoiment .image {
    width: 15%;
    height: 10vh;
    background: #ccc;
    border-radius: 50%;
}

#cto {
    width: 100%;
    height: 50vh;
    background: #000;
    color: #fff;
    display: flex;
    justify-content: center;
}

#cto section {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    margin-left: 5px;
    padding: 5px;

}

#cto section article form {
    display: flex;
    width: 100%;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

#cto section article form input,textarea,button {
    width: 100%;
    align-items: center;
    padding: 10px;
    margin: 10px;
}

#cto section article form button {
    width: 50%;
    position: absolute;
    bottom: -30%;
    left: 25%;
}

footer {
    background-color: #000;
    width: 100%;
    padding: 10px;
    text-align: center;
    border-top: 2px solid white;
    color: #fff;

}

@media(max-width:500px) {
    body {
        
    }
    #hero {

    }
    #hero nav {
        
    }
    #hero nav ul {
    }
    #hero nav .menu li {
        display: none;
    }

    #hero .main_menu .hamburger {
        display: block;
    }

    #hero .buttons {
        flex-direction: column;
        align-items: center;
        
    }
    #hero .buttons .btn {
        position: absolute;
        top: 50vh;
        border: 1px solid green;
        width: 30vw;
        
    }
    .btn1 {
        margin: 0;
    }
}